﻿using System;
using System.Windows;

using DevExpress.Data.Linq;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            NorthwindEntities northwindEntities = new NorthwindEntities();

            try
            {
                for(int i = 0; i < 100000; i++)
                {
                    Product product = new Product
                    {
                        ProductName = string.Format("Product({0})", i),
                        UnitPrice   = new Random().Next(1000),
                    };

                    northwindEntities.Products.AddObject(product);
                }

                northwindEntities.SaveChanges();
            }
            catch(Exception exception)
            {
                MessageBox.Show(exception.ToString());
            }

            this.gridControl.ItemsSource = new LinqServerModeSource()
            {
                ElementType     = typeof(Product),
                KeyExpression   = "ProductID",
                QueryableSource = northwindEntities.Products
            };
        }

        #endregion
    }
}